apiVersion: tekton.dev/v1
kind: PipelineRun
metadata:
  name: tkn-run-keep-pr-anno
  annotations:
    keep-pr: "true"
  # labels:
  #   env: prod
spec:
  pipelineSpec:
    tasks:
    - name: run-tkn
      taskRef:
        resolver: cluster
        params:
        - name: kind
          value: task
        - name: name
          value: tkn
        - name: namespace
          value: openshift-pipelines
      params:
      - name: ARGS
        value:
          - "pipeline"
          - "list"
          - "-n"
          - "openshift"
  timeouts: 
    pipeline: 2m